Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 14 of 14

Thread: OSCuino on Teensy 3.6?

  1. #1

    OSCuino on Teensy 3.6?

    I have a working project on 3.2 and am looking to expand the inputs to 12 analog Sharp IR sensors, so I'm just wondering if I should expect any problems using the same code on 3.6? Also, if anyone has any guidance on getting bonjour working with oscuino it'd be greatly appreciated.

  2. #2
    Can anyone help me here? I haven't found a reason to be worried about compatibility but the unknown unknowns are killing me on this short-timeframe project. Bonjour and multicast is not vital, but it would be great to know that I shouldn't have any dramas with 3.5(I opted for voltage tolerance), wiz850io and oscuino.

  3. #3
    hello, so reading your post and not being personally familiar with your concerns , i highlighted the last 3 words in above post and did a google search and what google gave me was 1 link,
    "wiz850io and oscuino" returns this link
    which i find rather amazing because it is not often google search only gives one link for a search query. but it also might help explain lack of responses here, it's not a big topic?
    anyway, if you were not aware of the above link maybe it helps.

  4. #4
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    I just talked with someone (in person) last week who was using OSC. It was only a very quick conversation. I don't know exactly which code they were using, or whether bonjour was involved. But they said it was working well.

    I can tell you Oscuino was replaced by the OSC library. After installing Teensyduino and selecting Teensy in Tools > Boards, look for the examples in File > Examples > OSC. That lib claims to support Teensy 3.x. Most of the testing has probably been done with 3.2, but there is every reason to believe it should work with 3.6.

    Personally, I have never used Open Source Control and I've only ever made very minimal use of MIDI. I'm not a musician.

  5. #5
    The newer OSC Library is not working for me on a 3.2, Arduino 1.8.4, Teensyduino 1.40 osx. I know it's the library because I can swap it out for an older oscuino library and the same sketch works. Strangely, there seems to be a difference in the teensy's orange LED. When the working sketch is running(oscuino) the light is on dimly and my wiz820io is flashing away. When I run the newer OSC lib the wiz820io is still flashing(and flashes quicker when an application is listening on the appropriate port) but no teensy led and no OSC getting through.

  6. #6
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Any chance you could give it a try with 1.41-beta2? Fixes were recently made in the Ethernet library. If it still is broken on 1.41-beta2, I'll put this on my list of issues to investigate. But I don't use OSC software, so I'd need some guidance on how to test to reproduce this issue.

  7. #7
    Will do. In fact I hope that's the problem, because I found that even when it would occasionally work with the old oscuino library, it no longer would once the teensy was power-cycled. Loading the same thing on Arduino 1.6.8 windows version with oscuino stays solid regardless. Still don't know what the story is with the teensy's led...does that signify anything relevant? Don't know why it's different between versions. But yeah, more variables than initially thought when I claimed the osc library was the problem.
    Apologies for bringing it up on the forum, but on a related note, could you please ask Robin to read my emails, I fear there's a problem with my latest order and I'm racing against the clock with this OSC project, even without the software problems.

  8. #8
    1.41-beta2 does not work for me either using 1.8.4. I can take it back to my known working version of td 1.29 and arduino 1.6.8 and it works. The problem is that I'm testing on a 3.2, with my 3.5's having had postage troubles and 1.29 doesn't support teensy 3.5. Can I please have some support getting the earliest/working teensyduino that supports 3.5 and working ethernet(or whatever the difference is)? So to clarify:
    Currently testing on 3.2 with wiz820io
    Need to move to a 3.5 and wiz850io

  9. #9
    Senior Member+ defragster's Avatar
    Join Date
    Feb 2015
    One big underlying change since TD 1.29 is the Compiler tool chain. Have you tried DEBUG or other compile options? Does it change any behavior? Not clear what you are seeing and how Paul could reproduce it per Post #6.

  10. #10
    With TD 1.41 beta 2 and Ard 1.8.4, the first time I verified it, I got this:

    /Applications/ In static member function 'static uint8_t W5100Class::init()':
    /Applications/ warning: 'void SPIFIFOclass::begin(uint8_t, uint32_t, uint32_t)' is deprecated [-Wdeprecated-declarations]
    SPIFIFO.begin(ss_pin, SPI_CLOCK_12MHz); // W5100 is 14 MHz max
    In file included from /Applications/
    /Applications/ note: declared here
    inline void begin(uint8_t pin, uint32_t speed, uint32_t mode=SPI_MODE0) __attribute__((always_inline, deprecated)) {
    Opening Teensy Loader...

    But it worked...until power cycle. Subsequent tries to recompile and upload don't show the above message(or any message) and don't work, even though the wiznet light is indicating activity(teensy led isn't though).

  11. #11
    Paul, what OS do you need an OSC test utility for? There are things like this that I've used in the past.

  12. #12
    TD 1.30 and Ard 1.6.8 works, which hopefully I'll be able to use with the 3.5, seeing as it's in the board list? There is really nothing else in the sketch so I don't mind going back (quite)a few versions, I just need it to work. Hopefully the change to wiz850io from 820io won't cause me problems either. I really intended to have a bit more time for problem solving but such is life, I appreciate the support. Any and all advice welcome.
    Also, regarding OSC testing, you can download a free version of touchdesigner here It will just be a matter of creating a non-commercial license, double clicking to add a node and dropping an "OSC in" from the green nodes. Set port and wait. I can provide a test file for you if you like.

  13. #13
    After going through heaps of versions of both arduino and teensyduino(is there a compatibility doc anywhere?) I got to this:

    1.31 with 1.6.9 works (after some compile error messages, just kept trying upload and it came good)
    1.32 with 1.6.9 doesn’t work(compile errors on first time, still uploads, but no joy on osc)

    All of my attempts have been with a fresh copy of Arduino because I wasn't sure which versions of td actively remove/replace libraries.

    The question is, what's the difference between 1.31 and 1.32 that would cause this? I will need to use the w5500 support that comes along with 1.32.

  14. #14
    Senior Member+ defragster's Avatar
    Join Date
    Feb 2015
    5,739 TD download page has a revision/change history - Under Announcements each beta has notes that may have more details - will show the IDE version active. The installer notes the versions it will operate on during install - it has to be a good concurrent/prior IDE to have support as the IDE JAVA code is modified during install.

    You might get away with swapping in the needed 1.32 library into your 1.31 install - YMMV. There may be issues with external changes - but no overt prohibition I know of.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts